#include <stdio.h>

using namespace std;


int BrojCif(long long int x)
{
    int broj = 0;
    while(x != 0)
    {
        x = x/10;
        broj ++;
    }
    return broj;
}
long long int DesetNa(int z)
{
    if(z == 0)return 1;
    if(z == 1)return 10;
    long long int deset = 1;
    for(int i = 0; i < z;i++)
        deset *= 10;
        return deset;
}

int main()
{
    long long int suma;
    scanf("%lld", &suma);

    int k = BrojCif(suma);
    int brnovcanica = 0;
    while(suma != 0)
    {

        while(suma >= (5*DesetNa(k-1)))
        {
            brnovcanica += suma / (5* DesetNa(k-1));
            suma = suma % (5* DesetNa(k-1));
            k = BrojCif(suma);
        }

        while(suma >= 2* DesetNa(k-1))
        {
            brnovcanica += suma / (2 * DesetNa(k-1));
            suma = suma % (2* DesetNa(k-1));
            k = BrojCif(suma);
        }

        if(suma >= DesetNa(k-1))
        {
            brnovcanica += suma / DesetNa(k-1);
            suma = suma % DesetNa(k-1);
            k = BrojCif(suma);
        }
        if(suma == 1)
        {
            suma = 0;
            brnovcanica++;
        }

    }
    printf("%d", brnovcanica);
    return 0;
}